/* 
 * File: ButtonHandlers.js
 * Defines Button handers (service routines)
 */

/*jslint node: true, vars: true, bitwise: true */
/*global angular */
/* find out more about jslint: http://www.jslint.com/help.html */

"use strict";

// Creates the "backend" logical support for appMyExample
var myModule = angular.module("appMyExample", []);

// registers the constructor for the controller
// NOTE: the constructor is only called _AFTER_ the </body> tag is encountered
//       this code does NOT run until the end of loading the HTML page
myModule.controller("buttonCtrl", function ($scope) {
    // initialize controller
    $scope.mWhichIsClick = "None For Now";
    $scope.mCount = 0;

    $scope.serviceClick = function (myE) {
        var elm = myE.currentTarget;
        $scope.mWhichIsClick = elm.id + " " + $scope.mCount;
    };

    $scope.incCount = function () {
        $scope.mCount = $scope.mCount + 1;
    };
});