/* 
 * File: ButtonHandlers.js
 * Defines Button handers (service routines)
 */

/*jslint node: true, vars: true, bitwise: true */
/*global angular */
/* find out more about jslint: http://www.jslint.com/help.html */

"use strict";

// Creates the "backend" logical support for appMyExample
var myModule = angular.module("appMyExample", []);

myModule.controller("exCtrl", function ($scope) {
    $scope.mEchoMsg = "None For Now";
    $scope.mID_2 = "idBar1";
    $scope.mValue_1 = "5";   // this is a tex!
    $scope.mValue_2 = "20";  // default range is 0 to 100

    $scope.sliderValue = function (whichBar, value) {
        $scope.mEchoMsg = whichBar + " " + value;
    };

    $scope.serviceMouseMove = function (myE) {
        var elm = myE.currentTarget;
        $scope.mEchoMsg = elm.id +
                    " mouseMove=" + myE.clientX + " " + myE.clientY +
                    "  V: " + elm.value;
    };

    $scope.serviceMouseUp = function (myE) {
        var elm = myE.currentTarget;
        $scope.mEchoMsg = elm.id + " finalValue=" + elm.value;
    };
});